View a markdown version of this page

CreateAgentContext - AWS Well-Architected

CreateAgentContext

Note

AWS Well-Architected Agent is in preview release and is subject to change.

Creates a context associated with an optimization profile. Contexts provide application and environment information used during recommendation generation.

Request Syntax

POST /api/v1/agent-profiles/profileArn/contexts HTTP/1.1 Content-type: application/json { "clientToken": "string", "content": { "accountIds": [ "string" ], "additionalContext": "string", "applicationOverview": "string", "applicationType": "string", "architectureOverview": "string", "awsServices": [ "string" ], "criticality": "string", "industry": "string", "organizationalUnitIds": [ "string" ], "regions": [ "string" ], "resourceTags": [ { "key": "string", "value": "string" } ], "resourceTypes": [ "string" ] }, "contextType": "string", "title": "string" }

URI Request Parameters

The request uses the following URI parameters.

profileArn

The Amazon Resource Name (ARN) of the profile to associate the context with.

Length Constraints: Minimum length of 0. Maximum length of 2048.

Pattern: arn:aws([a-z0-9-]+)?:wellarchitected:[a-z0-9-]{6,64}:\d{12}:agent-profile/([a-zA-Z0-9_-]+)

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\x21-\x7E]+

Required: No

content

The typed content of the context. The structure contains application-specific fields such as account IDs, Regions, services, and resource types.

Type: ContextContent object

Required: Yes

contextType

The type of the context.

Type: String

Valid Values: APPLICATION

Required: Yes

title

The title of the context.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1000.

Pattern: (?:(?!\$\{[a-zA-Z]+:)[\P{C}])+

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "context": { "applicationType": "string", "content": { "accountIds": [ "string" ], "additionalContext": "string", "applicationOverview": "string", "applicationType": "string", "architectureOverview": "string", "awsServices": [ "string" ], "criticality": "string", "industry": "string", "organizationalUnitIds": [ "string" ], "regions": [ "string" ], "resourceTags": [ { "key": "string", "value": "string" } ], "resourceTypes": [ "string" ] }, "contextType": "string", "createdAt": "string", "createdBy": "string", "criticality": "string", "id": "string", "lastModifiedAt": "string", "lastModifiedBy": "string", "profileArn": "string", "title": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

context

The created context summary.

Type: ContextSummary object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

User does not have sufficient access to perform this action.

Message

Description of the error.

HTTP Status Code: 403

ConflictException

The resource has already been processed, was deleted, or is too large.

Message

Description of the error.

ResourceId

Identifier of the resource affected.

ResourceType

Type of the resource affected.

HTTP Status Code: 409

InternalServerException

There is a problem with the AWS Well-Architected Tool API service.

Message

Description of the error.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource was not found.

Message

Description of the error.

ResourceId

Identifier of the resource affected.

ResourceType

Type of the resource affected.

HTTP Status Code: 404

ServiceQuotaExceededException

The user has reached their resource quota.

Message

Description of the error.

QuotaCode

Service Quotas requirement to identify originating quota.

ResourceId

Identifier of the resource affected.

ResourceType

Type of the resource affected.

ServiceCode

Service Quotas requirement to identify originating service.

HTTP Status Code: 402

ThrottlingException

Request was denied due to request throttling.

Message

Description of the error.

QuotaCode

Service Quotas requirement to identify originating quota.

ServiceCode

Service Quotas requirement to identify originating service.

HTTP Status Code: 429

ValidationException

The user input is not valid.

Fields

The fields that caused the error, if applicable.

Message

Description of the error.

Reason

The reason why the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: